Subject: bug#27453: 25.1; vc/log-view.el log-view-message-re doesn't support newer Darcs log format

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 21 Jul 2019 19:40:25 +0200

Rohan Hart <[email-masked]> writes:

> Darcs now shows the internal hash for each patch in a format like:
>
> patch f4128969c4700a0b34414390d04159cb6b11b4e5
> Author: bob <bob>
> Date:   Sun May 21 22:44:55 NZST 2017
>   * patch name
>   - further details
>
> Adding the regex "\\|^patch \\(?1:[.0-9a-f]+\\)" to log-view-message-re
> seems to be sufficient to use the hash.

Hm...  Unless I'm mistaken, Emacs doesn't support Darcs?  I ran

$ darcs clone https://hub.darcs.net/onetom/0wnDB

and Emacs then claimed that the files in that directory weren't under
source control?  So I'm unsure how this would help...

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no